## raumzeitlabor-status-widget 1.6-1

=== debian/changelog ===
raumzeitlabor-status-widget (1.6-1) fremantle; urgency=low

  * Bugfix: schedule next update correctly when it’s 23:xx
  * curl: set timeout to 30 seconds

 -- Michael Stapelberg <michael@stapelberg.de>  Tue, 07 Sep 2010 15:53:59 +0200

raumzeitlabor-status-widget (1.5-1) fremantle; urgency=low

  * Bugfix: Don’t create a connection every minute
  * Switch to libcurl instead of QNetwork

 -- Michael Stapelberg <michael@stapelberg.de>  Wed, 25 Aug 2010 23:45:10 +0200

raumzeitlabor-status-widget (1.4-1) fremantle; urgency=low

  * set no-cache headers

 -- Michael Stapelberg <michael@stapelberg.de>  Tue, 17 Aug 2010 21:34:43 +0200

raumzeitlabor-status-widget (1.3-2) fremantle; urgency=low

  * debian: require libosso-dev (necessary for osso-log.h)

 -- Michael Stapelberg <michael@stapelberg.de>  Sun, 15 Aug 2010 13:11:15 +0200

raumzeitlabor-status-widget (1.3-1) fremantle; urgency=low

  * Periodically get the bearer, set lastUpdated when offline, add debug log
  * Bugfix: Correctly calculate next timer update
  * when offline, don’t display the 'unklar' icon

 -- Michael Stapelberg <michael@stapelberg.de>  Sun, 15 Aug 2010 13:00:28 +0200

raumzeitlabor-status-widget (1.2-3) fremantle; urgency=low

  * debian: update build-depends

 -- Michael Stapelberg <michael@stapelberg.de>  Fri, 06 Aug 2010 02:22:53 +0200

raumzeitlabor-status-widget (1.2-2) fremantle; urgency=low

  * update debian distribution to fremantle

 -- Michael Stapelberg <michael@stapelberg.de>  Fri, 06 Aug 2010 02:18:00 +0200

raumzeitlabor-status-widget (1.2-1) unstable; urgency=low

  * change URL to the new, stable one

 -- Michael Stapelberg <michael@stapelberg.de>  Fri, 06 Aug 2010 01:03:05 +0200

raumzeitlabor-status-widget (1.1-2) unstable; urgency=low

  * debian: kill hildon-home in postinst

 -- Michael Stapelberg <michael@stapelberg.de>  Thu, 05 Aug 2010 23:54:18 +0200

raumzeitlabor-status-widget (1.1-1) unstable; urgency=low

  * update the status even if no internet connection
  * update to the full 15 (or 30) minutes
  * when updating, display ... instead of the last updated time
  * don't display 'rzl' caption anymore (it's in the image now)
  * display 'unklar.png' when status is anything but 1 or 0
  * change section to user/desktop to get the package installed by application manager

 -- Michael Stapelberg <michael@stapelberg.de>  Thu, 05 Aug 2010 23:21:03 +0200

raumzeitlabor-status-widget (1.0-1) unstable; urgency=low

  * Initial release

 -- Michael Stapelberg <michael@stapelberg.de>  Mon, 02 Aug 2010 17:30:17 +0200
